## org.apache.log4j.net
Class SimpleSocketServer

    java.lang.Object
      org.apache.log4j.net.SimpleSocketServer

    public class SimpleSocketServer

extends Object

A simple `SocketNode` based server.

       Usage: java org.apache.log4j.net.SimpleSocketServer port configFile

       where port is a part number where the server listens and
       configFile is a configuration file fed to the PropertyConfigurator or to DOMConfigurator if an XML file.

Since:
  0.8.4
Author:
  Ceki Gülcü

Constructor Summary
`SimpleSocketServer()`

Method Summary
`static void` `main(String[] argv)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleSocketServer

    public SimpleSocketServer()

Method Detail

### main

    public static void main(String[] argv)

Copyright © 1999-2012 Apache Software Foundation. All Rights Reserved.